{% extends 'base/base.html' %}

{% block base_title %}
    Import workers
{% endblock %}

{% block base_content %}
    <div class="container jumbotron">
        <div>
            <h1>Import workers from file</h1>
            <div class="lead">Link each skills ids of the CSV file to the skills of the demonstration. A CSV skill should be linked to only one demonstration skill.</div>
            <hr class="my-4">
        </div>

        <div>
            <div>
                Available skills in the CSV file :
                {% for tag in tags %}
                    {{ tag }}{% if not forloop.last %},{% endif %}
                {% endfor %}
            </div>

            <form method="post" class="mt-2">
                {% csrf_token %}

                {% for skill in skills %}
                    <div class="form-group">
                        <label for="{{ skill.id }}" class="font-weight-bold">&#8226 {{ skill.name }} : </label>

                        <select name="{{ skill.id }}" class="form-control">
                            {% for tag in tags %}
                                <option value="{{ tag }}">{{ tag }}</option>
                            {% endfor %}
                        </select>
                    </div>
                {% endfor %}

                {% if form.errors %}
                    {{ form.errors }}
                {% endif %}

                <div>
                    <button type="submit" class="btn btn-primary">Import</button>
                </div>
            </form>
        </div>

    </div>
{% endblock %}